package tech.riemann.ims.entity.material;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.media.Schema.RequiredMode;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import lombok.experimental.FieldNameConstants;
import lombok.experimental.SuperBuilder;
import org.nutz.dao.entity.annotation.ColDefine;
import org.nutz.dao.entity.annotation.Column;
import org.nutz.dao.entity.annotation.Comment;
import org.nutz.dao.entity.annotation.Table;
import tech.riemann.ims.entity.IdBaseEntity;

import java.io.Serial;

/**
 * 物料库条码配置表
 *
 * @author mayong)
 *
 * @since 2024-12-06 10:32:29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("t_material_barcode_config")
@Table("t_material_barcode_config")
@Comment("物料库条码配置表")
@Schema(name = "MaterialBarcodeConfig", description = "物料库条码配置表")
public class MaterialBarcodeConfig extends IdBaseEntity{

    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "物料Id", requiredMode = RequiredMode.NOT_REQUIRED)
    @TableField("mbc_material_id")
    @Column("mbc_material_id")
    @Comment("物料Id")
    @ColDefine(notNull = false)
    private Long materialId;

    @Schema(description = "最新编码位置", requiredMode = RequiredMode.NOT_REQUIRED)
    @TableField("mbc_latest_location")
    @Column("mbc_latest_location")
    @Comment("最新编码位置")
    @ColDefine(notNull = false)
    private Long latestLocation;
}